const Panel = imports.ui.main.panel;
const TrayBox = imports.ui.main.layoutManager.trayBox;
const CornerName = 'hot-corner-environs';
const Mainloop = imports.mainloop;

function findCorner(node, hide) {
	node.get_children().forEach(function(child) {
		if(child.name != CornerName) {
			findCorner(child, hide);
		} else if(hide) {
			child.hide();
		} else {
			child.show();
		}
	});
}

function init() {
}

function _internalEnable() {
	TrayBox.hide();
	findCorner(Panel.actor, true);
}

function enable() {
	_internalEnable();
	Mainloop.timeout_add_seconds(1, _internalEnable);
	// setTimeout(_internalEnable, 3000);
}

function disable() {
	TrayBox.show();
	findCorner(Panel.actor, false);
}

